import React, {useState, useCallback} from 'react';
import ReactDOM from 'react-dom';
import {csv} from 'd3';

const App = () => {
  const csvUrl =
  'https://gist.githubusercontent.com/curran/b236990081a24761f7000567094914e0/raw/cssNamedColors.csv';

	const [data,setdata] = useState(null);
  const message = (data) =>{
  let msg = '';
  msg = msg + data.length + "\n";
  msg = msg + data.columns.length;  
  return msg;
  }
  const resp = csv(csvUrl);
  resp.then(data=>{
  setdata(data);
  })
  return (
    <pre>{data?message(data):"loading..."}</pre>
  )
  } 

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);